ru.bitel.bgbilling.modules.rscm.common.bean

## Class RSCMContractService

- java.lang.Object
- - ru.bitel.bgbilling.modules.rscm.common.bean.RSCMContractService

- All Implemented Interfaces:
    java.io.Serializable

      public class RSCMContractService
      extends java.lang.Object
      implements java.io.Serializable

  Потребленная договором услуга RSCM модуля.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RSCMContractService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAmount()`
    `java.lang.String` | `getComment()`
    `int` | `getContractId()`
    `java.util.Date` | `getDate()`
    `int` | `getId()`
    `int` | `getServiceId()`
    `java.lang.String` | `getServiceTitle()`
    `java.lang.String` | `getUnit()`
    `void` | `setAmount(long amount)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setContractId(int cid)`
    `void` | `setDate(java.util.Date date)`
    `void` | `setId(int id)`
    `void` | `setServiceId(int serviceId)`
    `void` | `setServiceTitle(java.lang.String serviceTitle)`
    `void` | `setUnit(java.lang.String unit)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RSCMContractService

          public RSCMContractService()

  - ### Method Detail

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int cid)

    - #### getId

          public int getId()

    - #### getServiceId

          public int getServiceId()

    - #### setId

          public void setId(int id)

    - #### setServiceId

          public void setServiceId(int serviceId)

    - #### getUnit

          public java.lang.String getUnit()

    - #### setUnit

          public void setUnit(java.lang.String unit)

    - #### getDate

          public java.util.Date getDate()

    - #### setDate

          public void setDate(java.util.Date date)

    - #### getServiceTitle

          public java.lang.String getServiceTitle()

    - #### setServiceTitle

          public void setServiceTitle(java.lang.String serviceTitle)

    - #### getAmount

          public long getAmount()

    - #### setAmount

          public void setAmount(long amount)